// SQUEEN.h: interface for the SQUEEN class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SQUEEN_H__E535E139_5387_44E9_8DDF_CDF6B6B611AF__INCLUDED_)
#define AFX_SQUEEN_H__E535E139_5387_44E9_8DDF_CDF6B6B611AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <iostream>
#include "STACK.h"

struct POSITION
{
	short posx;
	short posy;
};

class SQUEEN  
{
public:
	void start();
	SQUEEN();
	virtual ~SQUEEN();
	short get_board_size (void);
	void draw_board ();
	void fill_board (); //board queen ä
	bool guarded (short posx, short posy);
private:
	short** board;
	short board_size;
	STACK<POSITION> stack;
};

#endif // !defined(AFX_SQUEEN_H__E535E139_5387_44E9_8DDF_CDF6B6B611AF__INCLUDED_)
