// STACK.h: interface for the STACK class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STACK_H__3EC876CF_1F5A_47E6_9D4F_80CB2CD65E90__INCLUDED_)
#define AFX_STACK_H__3EC876CF_1F5A_47E6_9D4F_80CB2CD65E90__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#include <iostream.h>

enum RESULT { FAIL, TRUE };

template <class DATA>
struct NODE
{	
	DATA data;	
	NODE<DATA>* next_node;
};

template <class DATA>
class STACK
{
public:
	STACK ();
	~STACK ();
	short get_its_count () { return its_count; }
	bool push (DATA& data_in);
	bool pop (DATA& data_out);
	bool top (DATA& data_out);
	bool is_empty ();

private:
	short its_count;
	NODE<DATA>* its_p_top;
};

#endif // !defined(AFX_STACK_H__3EC876CF_1F5A_47E6_9D4F_80CB2CD65E90__INCLUDED_)
